package com.ruoyi.system.service.house;

import com.ruoyi.system.domain.house.HouseResourceAssociationObject;

public interface HouseResourceAssociationObjectService {

    void saveHouseResourceAssociationObject(HouseResourceAssociationObject houseResourceAssociationObject);

    void updateHouseResourceAssociationObject(HouseResourceAssociationObject houseResourceAssociationObject);

    void deleteHouseResourceAssociationObjectById(String id);

    HouseResourceAssociationObject queryHouseResourceAssociationObjectById(String id);

    HouseResourceAssociationObject queryHouseResourceAssociationObjectByHouseResourceIdType(String houseResourceId, int type);
}
